% Flux calculation
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%   Thermodynamically Consistent Bayesian Analysis    %%%%%%%%%%%
%%%%%%%%%%%       of Closed Biochemical Reaction Systems        %%%%%%%%%%%
%%%%%%%%%%%            Posterior Mode Rate Estimation           %%%%%%%%%%%
%%%%%%%%%%%         Authors: Jenkinson, Zhong, Goutsias         %%%%%%%%%%%
%%%%%%%%%%%              Last Modified: 11/04/2010              %%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%

function fluxes = findFluxes(x,kappa)

fluxes = zeros(size(x,1),9);

fluxes(:,1) = kappa(1)*x(:,1).*x(:,2)   - kappa(2)*x(:,3);   
fluxes(:,2) = kappa(3)*x(:,3).*x(:,4)   - kappa(4)*x(:,5);   
fluxes(:,3) = kappa(5)*x(:,2).*x(:,4)   - kappa(6)*x(:,6);   
fluxes(:,4) = kappa(7)*x(:,1).*x(:,6)   - kappa(8)*x(:,5);   
fluxes(:,5) = kappa(9)*x(:,2).*x(:,7)   - kappa(10)*x(:,8);  
fluxes(:,6) = kappa(11)*x(:,4).*x(:,8)  - kappa(12)*x(:,9);  
fluxes(:,7) = kappa(13)*x(:,6).*x(:,7)  - kappa(14)*x(:,9);  
fluxes(:,8) = kappa(15)*x(:,9).*x(:,10) - kappa(16)*x(:,11); 
fluxes(:,9) = kappa(17)*x(:,9).*x(:,12) - kappa(18)*x(:,13);